Creates a new assignment that a driver can later use. Each driver can only have one future assignment.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Write Carrier-Proposed Assignments under the Assignments category when creating or editing an API token. Learn More.
curl --request POST \
--url https://api.samsara.com/fleet/carrier-proposed-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverId": "42",
"vehicleId": "123",
"activeTime": "2020-01-27T07:06:25Z",
"shippingDocs": "Delivery 123, chips and soda",
"trailerIds": [
"123456789",
"maintenanceId:250020"
],
"trailerNames": [
"Trailer123",
"TrailerABC"
]
}
'{
"data": {
"activeTime": "2020-01-27T07:06:25Z",
"id": "08b3aeada5f4ab3010c0b4efa28d2d1890dbf8d48d2d",
"acceptedTime": "2020-01-27T07:06:25Z",
"driver": {
"id": "88668",
"name": "Susan Bob",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}
},
"firstSeenTime": "2020-01-27T07:06:25Z",
"rejectedTime": "2020-01-27T07:06:25Z",
"shippingDocs": "Delivery 123, chips and soda",
"trailers": [
{
"id": "123456789",
"name": "Midwest Trailer #5",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}
}
],
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The assignment to create.
New assignment for a driver.
ID for the driver for the driver that this assignment is for. This can be either a unique Samsara ID or an external ID for the driver.
"42"
ID for the vehicle to propose. This can be either a unique Samsara ID or an external ID for the vehicle.
"123"
Time after which this assignment will be active and visible to the driver on the mobile app. Not setting it makes it active now. UTC timestamp in RFC 3339 format. Example: 2020-01-27T07:06:25Z.
"2020-01-27T07:06:25Z"
Shipping Documents that this assignment will propose to the driver.
40"Delivery 123, chips and soda"
IDs of trailers to propose. This can be either a unique Samsara IDs or an external IDs for the trailers. (forbidden if trailerNames is set)
["123456789", "maintenanceId:250020"]Names of trailers to propose. (forbidden if trailerIds is set)
["Trailer123", "TrailerABC"]Return the created assignment
A carrier-proposed assignment response object.
A carrier proposed assignment object
Show child attributes
curl --request POST \
--url https://api.samsara.com/fleet/carrier-proposed-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverId": "42",
"vehicleId": "123",
"activeTime": "2020-01-27T07:06:25Z",
"shippingDocs": "Delivery 123, chips and soda",
"trailerIds": [
"123456789",
"maintenanceId:250020"
],
"trailerNames": [
"Trailer123",
"TrailerABC"
]
}
'{
"data": {
"activeTime": "2020-01-27T07:06:25Z",
"id": "08b3aeada5f4ab3010c0b4efa28d2d1890dbf8d48d2d",
"acceptedTime": "2020-01-27T07:06:25Z",
"driver": {
"id": "88668",
"name": "Susan Bob",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}
},
"firstSeenTime": "2020-01-27T07:06:25Z",
"rejectedTime": "2020-01-27T07:06:25Z",
"shippingDocs": "Delivery 123, chips and soda",
"trailers": [
{
"id": "123456789",
"name": "Midwest Trailer #5",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}
}
],
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
}